package com.elab.core.spring.common;

import com.elab.core.bean.PageModel;
import com.elab.core.dao.model.ListDynamicSearch;
import org.springframework.jdbc.core.RowMapper;

import java.util.Map;

/**
 * 类型定义器
 *
 * @author : liukx
 * @create : 2018/5/16 19:31
 * @email : liukx@elab-plus.com
 */
public class TypeGroupModel {

    /**
     * 如果是String、integer、date类型的存储
     */
    private Object[] obj;

    private PageModel pageModel;

    private RowMapper rowMapper;

    private Map map;

    /**
     * 集合列表动态查询参数
     */
    private ListDynamicSearch listDynamicSearch;

    public ListDynamicSearch getListDynamicSearch() {
        return listDynamicSearch;
    }

    public void setListDynamicSearch(ListDynamicSearch listDynamicSearch) {
        this.listDynamicSearch = listDynamicSearch;
    }

    public Map getMap() {
        return map;
    }

    public void setMap(Map map) {
        this.map = map;
    }

    public Object[] getObj() {
        return obj;
    }

    public void setObj(Object[] obj) {
        this.obj = obj;
    }

    public PageModel getPageModel() {
        return pageModel;
    }

    public void setPageModel(PageModel pageModel) {
        this.pageModel = pageModel;
    }

    public RowMapper getRowMapper() {
        return rowMapper;
    }

    public void setRowMapper(RowMapper rowMapper) {
        this.rowMapper = rowMapper;
    }
}
